Summary:        Apache PDFBox Command Line Tools
Name:           pdfbox
Version:        1.8.13
Release:        1
License:        ASL 2.0
URL:            http://pdfbox.apache.org/
Group:          Applications/Publishing
Source0:        http://www.apache.org/dyn/closer.cgi/pdfbox/%{version}/%{name}-app-%{version}.jar
Source1:        http://www.apache.org/dist/pdfbox/%{version}/%{name}-app-%{version}.jar.asc
Source2:        http://www.apache.org/dist/pdfbox/%{version}/%{name}-app-%{version}.jar.md5
Source3:        http://www.apache.org/dist/pdfbox/%{version}/%{name}-app-%{version}.jar.sha
Source4:        %{name}-TEMPLATE

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Apache PDFBox is an open source Java PDF library for working with PDF
documents. This project allows creation of new PDF documents, manipulation of
existing documents and the ability to extract content from documents.

This package contains the standalone command line utilities.


%prep


%build
# nothing to be done here


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
cp %{SOURCE0} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/*

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
for i in \
  ConvertColorspace \
  Decrypt \
  Encrypt \
  ExtractText \
  ExtractImages \
  Overlay \
  OverlayPDF \
  PrintPDF \
  PDFDebugger \
  PDFMerger \
  PDFReader \
  PDFSplit \
  PDFToImage \
  TextToPDF \
  WriteDecodedDoc \
; do
  cat %{SOURCE4} | sed "s|TEMPLATE|${i}|g" > ${RPM_BUILD_ROOT}%{_bindir}/%{name}-${i}
done
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%{_bindir}/*
%{_datadir}/%{name}/*
/usr/bin/*


%changelog
* Thu Dec 15 2016 Michael Perzl <michael@perzl.org> - 1.8.13-1
- updated to version 1.8.13

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 1.8.12-1
- updated to version 1.8.12

* Fri Jan 01 2016 Michael Perzl <michael@perzl.org> - 1.8.10-1
- updated to version 1.8.10

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 1.8.9-1
- updated to version 1.8.9

* Tue Nov 11 2014 Michael Perzl <michael@perzl.org> - 1.8.7-1
- updated to version 1.8.7

* Thu Jul 24 2014 Michael Perzl <michael@perzl.org> - 1.8.6-1
- updated to version 1.8.6

* Wed Jul 31 2013 Michael Perzl <michael@perzl.org> - 1.8.2-1
- first version for AIX V5.1 and higher
